## flash-kernel 3.100ubuntu4

=== debian/changelog ===
flash-kernel (3.100ubuntu4) groovy; urgency=medium

  * Use wild-card matching in check_supported as well as get_machine_field
    (LP: #1899493)

 -- Dave Jones <dave.jones@canonical.com>  Mon, 12 Oct 2020 15:21:57 +0100

flash-kernel (3.100ubuntu3) groovy; urgency=medium

  * Add new Pi models to the database
  * Remove the -raspi2 kernel flavor from the database
  * Add support for pattern matching in the Machine: field of the database
  * For the "pi" method, copy the boot firmware too (relates to LP: #1895137)

 -- Dave Jones <dave.jones@canonical.com>  Wed, 23 Sep 2020 13:14:09 +0100

flash-kernel (3.100ubuntu2) groovy; urgency=medium

  * Import UC20 updates to the rpi bootscript from the snappy-dev/image
    PPA. LP: #1871831

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 15 Jun 2020 14:29:41 +0100

flash-kernel (3.100ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add support for QCT APQ8064 CDP
      - Add support for QCT APQ8064 CDP; thanks Alfonso Sanchez-Beato.
    - Add support for Calxeda Highbank
      - Add support for Calxeda Highbank (with bootscr.highbank different from
        Debian's version)
      - bootscr.highbank: allow more space to load larger kernels
    - Add support for Nexus 4 (Mako)
      - Enabling support for mako (Nexus 4)
    - Add support for Marvell ArmadaXP
      - Re-add support for Marvell ArmadaXP
      - Fix armadaxp kernel load address
    - Add support for Samsung Exynos 5440 platforms
      - Add support for EXYNOS5440-based platforms
    - Add generic-lpae to the XB-Subarchitecture list in debian/control
      - debian/flash-kernel-installer.isinstallable: add arm*/generic-lpae
    - Add support for HP ProLiant m400 and m800 cartridges
      - Added support for HP ProLiant m800 Server Cartridge
      - Add support for HP ProLiant m800 cartridges
      - Set required boot arguments for HP ProLiant m800 cartridges
      - Add support for HP ProLiant m400 Server Cartridges
      - HP Moonshot Cartridges: Use $baudrate from u-boot environment as
        serial console speed
      - HP Moonshot Cartridges: Enable hardware flow control as required by
        the HP moonshot chassis
      - Enable U-Boot environment support for X-Gene platforms
      - Use filesystem agnostic "load" command instead of assuming ext4
      - Add a bootscript specific to X-Gene Mustang boards since they need to
        pull their dtb from the OS.
    - Add support for OMAP3 and OMAP4 boards
      - add DB entry for "OMAP3 Beagle Board" (funnily thats missing)
      - add Panda to the list of supported board in the README file
      - debian/control: Re-add omap and omap4 to the flash-kernel-installer
        XB-Subarchitecture field. These appear to have been lost somewhere
        along the way.
      - Also add omap and omap4 to flash-kernel-installer.isinstallable.
      - switch omap3 and omap4 to uEnv.txt/preEnv.txt (the former holds all
        active boot commands, the latter holds the kernel commandline only)
      - switch omap3 and omap4 from Bootloader-sets-root: no to yes, we now
        generate a root=UUID= line on the fly for arches using
        uEnv.txt/preEnv.txt
      - introduce bootscript/uEnvtxt.omap
      - do not move the original uEnvtxt.omap to the target, use a copy
        instead
      - add "quiet splash" as default options to omap bootscr
      - enable UUID detection of the currently used root device
      - if uEnv.txt is defined in the db for an arch, generate preEnv.txt from
        UBOOT_DEFAULTS and UUID detection data
      - make sure blkid only gives us the UUID and not any other metadata like
        labels or filesystem
      - hide the boot device from udisk's automounting after installation on
        all systems using uEnv.txt to configure u-boot
      - make sure we only rename the bootrom partition so udisks hides it,
        when using mkdosfs for setting the label like we did in jasper (where
        we cached the contents before doing this) MLO and u-boot.bin are gone
    - Add support for grouper boards
      - add support for the grouper architecture
    - Add support for Wandboard Quad
      - Wandboard: Use /dev/disk/by-path/platform-2198000.usdhc-part1
        instead of the hardcoded mmcblk1p1, this should make things work on
        boards with just a single microSD card in.
      - Add basic support for WandBoard Quad.
    - Add support for Raspberry Pi 2, 3, 3+, CM3, CM3+, and 4 using a unified
      bootscript (replaces upstream's entries)
      - Update pi bootscript to support all flash-kernel vars, including
        calculated devtype and partition for future USB boot support
      - Install all potential uboot scripts [previously undocumented]
    - db/all.db: Add dummy entries as noops when running on VMs
    - make sure that if we dont want to override the bootloader root=
      option by setting "Bootloader-sets-root: yes", we actually dont do it
    - Update tests with new fields: Bootloader-sets-root
    - use umount -l in the cleanup function, else we fail while finishing up
      with the script
    - add a diversion for update-initramfs to live-installers
      post-base-installer.d to avoid update-initramfs runs before flash-kernel
      is configured
    - add a check for the diverted update-initramfs to flash-kernel-installer,
      so it gets reverted before we try to call update-initramfs
    - make post-base-installer.d/01flash-kernel-diversion actually an
      executable shell script
    - make sure that /dev is bind mounted in /target when running
      update-initramfs from flash-kernel-installer, else we do not find the
      boot media (this is only a workaround, actual fixing of the netinst
      environment is needed to fix this properly)
    - drop the "|| true" from the initramfs building code, if we fail here we
      actually dont want to attempt to flash that
    - Do not run flash-kernel inside an LXC container

