## flash-kernel 3.103ubuntu1~20.04.3

=== debian/changelog ===
flash-kernel (3.103ubuntu1~20.04.3) focal; urgency=medium

  * Backport from 3.104ubuntu4 (LP: #1931987):
    * Add support for FIT images
      - Support for ITS files
      - New Boot-FIT-Path and Boot-ITS-File-Name DB fields
    * Add Xilinx Kria SOM and ZCU10{2,4,6} boards to the devices database

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 30 Jul 2021 09:46:25 +0200

flash-kernel (3.103ubuntu1~20.04.2) focal; urgency=medium

  * Drop the "systemd.gpt_auto=0 rd.systemd.unit=basic.target" values from
    the snapd_standard_params, which have not been needed since pre-GA of
    UC20 and were removed in pc gadget on 20th April 2020. LP: #1933093

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 24 Jun 2021 14:50:39 +0100

flash-kernel (3.103ubuntu1~20.04.1) focal; urgency=medium

  * Backport latest upstream version to groovy (LP: #1904890)
  * This includes Dann Frazier's workaround for LP: #1900796

 -- Dave Jones <dave.jones@canonical.com>  Tue, 12 Jan 2021 17:14:57 +0000

flash-kernel (3.103ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add support for QCT APQ8064 CDP
      - Add support for QCT APQ8064 CDP; thanks Alfonso Sanchez-Beato.
    - Add support for Calxeda Highbank
      - Add support for Calxeda Highbank (with bootscr.highbank different
        from Debian's version)
      - bootscr.highbank: allow more space to load larger kernels
    - Add support for Nexus 4 (Mako)
      - Enabling support for mako (Nexus 4)
    - Add support for Marvell ArmadaXP
      - Re-add support for Marvell ArmadaXP
      - Fix armadaxp kernel load address
    - Add support for Samsung Exynos 5440 platforms
      - Add support for EXYNOS5440-based platforms
    - Add generic-lpae to the XB-Subarchitecture list in debian/control
      - debian/flash-kernel-installer.isinstallable: add arm*/generic-lpae
    - Add support for HP ProLiant m400 and m800 cartridges
      - Added support for HP ProLiant m800 Server Cartridge
      - Add support for HP ProLiant m800 cartridges
      - Set required boot arguments for HP ProLiant m800 cartridges
      - Add support for HP ProLiant m400 Server Cartridges
      - HP Moonshot Cartridges: Use $baudrate from u-boot environment as
        serial console speed
      - HP Moonshot Cartridges: Enable hardware flow control as required by
        the HP moonshot chassis
      - Enable U-Boot environment support for X-Gene platforms
      - Use filesystem agnostic "load" command instead of assuming ext4
      - Add a bootscript specific to X-Gene Mustang boards since they need to
        pull their dtb from the OS.
    - Add support for OMAP3 and OMAP4 boards
      - add DB entry for "OMAP3 Beagle Board" (funnily thats missing)
      - add Panda to the list of supported board in the README file
      - debian/control: Re-add omap and omap4 to the flash-kernel-installer
        XB-Subarchitecture field. These appear to have been lost somewhere
        along the way.
      - Also add omap and omap4 to flash-kernel-installer.isinstallable.
      - switch omap3 and omap4 to uEnv.txt/preEnv.txt (the former holds all
        active boot commands, the latter holds the kernel commandline only)
      - switch omap3 and omap4 from Bootloader-sets-root: no to yes, we now
        generate a root=UUID= line on the fly for arches using
        uEnv.txt/preEnv.txt
      - introduce bootscript/uEnvtxt.omap
      - do not move the original uEnvtxt.omap to the target, use a copy
        instead
      - add "quiet splash" as default options to omap bootscr
      - enable UUID detection of the currently used root device
      - if uEnv.txt is defined in the db for an arch, generate preEnv.txt
        from UBOOT_DEFAULTS and UUID detection data
      - make sure blkid only gives us the UUID and not any other metadata
        like labels or filesystem
      - hide the boot device from udisk's automounting after installation
        on all systems using uEnv.txt to configure u-boot
      - make sure we only rename the bootrom partition so udisks hides it,
        when using mkdosfs for setting the label like we did in jasper
        (where we cached the contents before doing this) MLO and u-boot.bin
        are gone
    - Add support for grouper boards
      - add support for the grouper architecture
    - db/all.db: add dummy entries as noops when running on VMs
    - Add support for Wandboard Quad
      - Wandboard: Use /dev/disk/by-path/platform-2198000.usdhc-part1 instead
        of the hardcoded mmcblk1p1, this should make things work on boards
        with just a single microSD card in.
      - Add basic support for WandBoard Quad.
    - Add support for AAarch64 Qualcomm laptops.
      - Fix AARCH64 qcom laptop names, to those accepted upstream and in the
        Ubuntu kernel. LP: #1847594
    - Add support for Raspberry Pi 2, 3, 3+, CM3, CM3+, and 4 using a
      unified bootscript (replaces upstream's entries)
      - Update pi bootscript to support all flash-kernel vars, including
        calculated devtype and partition for future USB boot support
      - Install all potential uboot scripts [previously undocumented]
      - Add entry for Raspberry Pi 3A+ (LP: #1841955)
      - Add entry for Raspberry Pi CM4
      - Add entry for Raspberry Pi 400
      - Import UC20 updates to the rpi bootscript from the snappy-dev/image
        PPA (LP: #1871831)
    - Add Kernel-Flavors check to Raspberry Pi entries
      - Support "raspi" kernel flavor in addition to "raspi2" (LP: #1868071)
    - Remove raspi2 flavour
      - The raspi2 flavour does not exist in Groovy onwards
    - make sure that if we dont want to override the bootloader root=
      option by setting "Bootloader-sets-root: yes", we actually dont do it
      - Update tests with new fields: Bootloader-sets-root
    - use umount -l in the cleanup function, else we fail while finishing
      up with the script

