## flash-kernel 3.103ubuntu1~20.04.4

=== debian/changelog ===
flash-kernel (3.103ubuntu1~20.04.4) focal; urgency=medium

  * Backport changes from 3.104ubuntu8 (LP: #1962289).
    * mkimage_fit: subst KERNEL_VERSION in ITS file with actual kernel
      version.
    * Add DB entry, bootscript and ITS templates for Mediatek AIoT i500 board.

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Wed, 13 Apr 2022 12:46:47 +0200
