=== debian/control ===
Source: flash-kernel
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Vagrant Cascadian <vagrant@debian.org>,
           Karsten Merker <merker@debian.org>
Build-Depends: debhelper (>= 9), devio, linux-base (>= 3.2), dash
Standards-Version: 3.9.6
Vcs-Browser: https://salsa.debian.org/installer-team/flash-kernel
Vcs-Git: https://salsa.debian.org/installer-team/flash-kernel.git
Rules-Requires-Root: no

Package: flash-kernel
Architecture: arm64 armel armhf
Depends: ${misc:Depends},
         devio,
         initramfs-tools (>= 0.92f),
         systemd,
         linux-base (>= 3.2),
         mtd-utils,
         ucf,
         awk
Recommends: u-boot-tools
Description: utility to make certain embedded devices bootable
 flash-kernel is a script which will put the kernel and initramfs in
 the boot location of embedded devices that don't load the kernel and
 initramfs directly from /boot.  flash-kernel supports devices that
 boot from flash memory (hence the name) as well as some devices that
 require a special boot image on the disk.

Package: flash-kernel-installer
Section: debian-installer
Priority: standard
Package-Type: udeb
Architecture: arm64 armel armhf
XB-Subarchitecture: armadaxp exynos5 generic-lpae keystone kirkwood orion5x s3c24xx mx5 omap omap4 xgene generic
Provides: bootable-system
Depends: cdebconf-udeb, installed-base
XB-Installer-Menu-Item: 7300
Description: Make the system bootable
