## flash-kernel 3.103ubuntu1~20.10.1

=== debian/changelog ===
flash-kernel (3.103ubuntu1~20.10.1) groovy; urgency=medium

  * Backport latest upstream version to groovy (LP: #1904890)
  * This includes Dann Frazier's workaround for LP: #1900796

 -- Dave Jones <dave.jones@canonical.com>  Tue, 12 Jan 2021 17:14:57 +0000
