=== debian/rules ===
--- 
+++ 
@@ -27,13 +27,6 @@
 		debian/flash-kernel/etc/flash-kernel/bootscript/
 endif
 
-	install -m0755 -p -d debian/flash-kernel/usr/share/flash-kernel/its
-	set -ex ; for arch in all $(DEB_HOST_ARCH) ; do \
-		[ -d its/$${arch} ] || continue ; \
-		install -m0644 its/$${arch}/* \
-			debian/flash-kernel/usr/share/flash-kernel/its/ ; \
-	done
-
 	dh_auto_install
 
 override_dh_auto_clean:
