## flash-kernel 3.104ubuntu4~21.04

=== debian/changelog ===
flash-kernel (3.104ubuntu4~21.04) hirsute; urgency=medium

  * Backport from 3.104ubuntu4 (LP: #1931987)
    * Add support for FIT images
      - Support for ITS files
      - New Boot-FIT-Path and Boot-ITS-File-Name DB fields
    * Add Xilinx Kria SOM and ZCU10{2,4,6} boards to the devices database

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Tue, 15 Jun 2021 10:51:59 +0200
