## flash-kernel 3.104ubuntu5

=== debian/changelog ===
flash-kernel (3.104ubuntu5) impish; urgency=medium

  * Drop the "systemd.gpt_auto=0 rd.systemd.unit=basic.target" values from
    the snapd_standard_params, which have not been needed since pre-GA of
    UC20 and were removed in pc gadget on 20th April 2020. LP: #1933093

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 21 Jun 2021 12:12:21 +0100

flash-kernel (3.104ubuntu4) impish; urgency=medium

  [ Alfonso Sanchez-Beato ]
  * Add support for FIT images
    - Support for ITS files
    - New Boot-FIT-Path and Boot-ITS-File-Name DB fields
  * Add Xilinx Kria SOM and ZCU10{2,4,6} boards to the devices database

 -- Loïc Minier <loic.minier@ubuntu.com>  Mon, 14 Jun 2021 17:47:16 +0200
