## flash-kernel 3.104ubuntu9

=== debian/changelog ===
flash-kernel (3.104ubuntu9) jammy; urgency=medium

  * Cache lookup of Bootloader-Has-Broken-Ext4-Extent-Support for significant
    performance improvement on Raspberry Pi (LP: #1965129)
  * Added note in db/all.db above Pi entries about "incorrect" DTB-Id
    (LP: #1928314)
  * Add raspi-nolpae kernel flavor to all supported boards (LP: #1962312)
  * Added entries for the Pi 4B rev 1.5, and moved CM4 and 400 models to their
    own entries for the sake of clarity
  * Include overlays/README in the files copied by Method: pi

 -- Dave Jones <dave.jones@canonical.com>  Mon, 18 Apr 2022 12:13:13 +0100

flash-kernel (3.104ubuntu8) jammy; urgency=medium

  * mkimage_fit: subst KERNEL_VERSION in ITS file with actual kernel
    version.
  * Add DB entry, bootscript and ITS templates for Mediatek AIoT i500 board.

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Sun, 03 Apr 2022 19:33:03 +0200

flash-kernel (3.104ubuntu7) jammy; urgency=medium

  * Add riscv64 support (LP: #1966219)
  * Add the following boards to db/all.db
    - SiFive HiFive Unmatched A00 
    - BeagleV Starlight Beta

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Tue, 08 Mar 2022 10:05:15 +0100

flash-kernel (3.104ubuntu6) jammy; urgency=medium

  * Introduce "Boot-Kernel-Max-Size" and support for compressing kernel
    images that exceed it. This will allow installation of larger
    uncompressed kernels on HP ProLiant m400 cartridges. LP: #1954692
  * Drop support for HP ProLiant m800 cartridges. The kernel flavor they
    require (-keystone) never shipped in Ubuntu.

 -- dann frazier <dannf@ubuntu.com>  Mon, 31 Jan 2022 16:47:18 +0000
