=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Rules-Requires-Root: no
 
 Package: flash-kernel
-Architecture: arm64 armel armhf
+Architecture: arm64 armel armhf riscv64
 Depends: ${misc:Depends},
          devio,
          initramfs-tools (>= 0.92f),
@@ -33,8 +33,8 @@
 Section: debian-installer
 Priority: standard
 Package-Type: udeb
-Architecture: arm64 armel armhf
-XB-Subarchitecture: armadaxp exynos5 generic-lpae keystone kirkwood orion5x s3c24xx mx5 omap omap4 xgene generic
+Architecture: arm64 armel armhf riscv64
+XB-Subarchitecture: armadaxp exynos5 generic-lpae kirkwood orion5x s3c24xx mx5 omap omap4 xgene generic
 Provides: bootable-system
 Depends: cdebconf-udeb, installed-base
 XB-Installer-Menu-Item: 7300
