## flash-kernel 3.104ubuntu10~22.04.1ppa1

=== debian/changelog ===
flash-kernel (3.104ubuntu10~22.04.1ppa1) jammy; urgency=medium

  * Add ZCU111 support
  * bootscr.zynqmp
    - Improve messaging in U-Boot boot script for board detection
    - Add kria and zcu board support lists
    - Update kR260 and KV260's bootargs as per AMD-Xilinx's request

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Fri, 10 Jun 2022 12:24:06 +0800

flash-kernel (3.104ubuntu10~22.04.1) jammy; urgency=medium

  * Backport changes from 3.104ubuntu10
    - Add Kria KR260 support
    - bootscr.zynqmp:
      - Add Kria KV260 support on jammy
      - Add ZCU102/104/106 support on jammy
    - image-kria.its: add dtb files into fitimage
    - Add kernel parameter for Kria TSN

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Mon, 06 Jun 2022 15:49:07 +0800

flash-kernel (3.104ubuntu10) kinetic; urgency=medium

  * Add Kria KR260 support
  * bootscr.zynqmp:
    - Add Kria KV260 support on jammy and kinetic
    - Add ZCU102/104/106 support on jammy and kinetic
  * image-kria.its: add dtb files into fitimage
  * Add kernel parameter for Kria TSN

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Thu, 21 Apr 2022 12:38:21 +0800
