## flash-kernel 3.104ubuntu11

=== debian/changelog ===
flash-kernel (3.104ubuntu11) jammy; urgency=medium

  * Add support for VisionFive, Nezha and LicheeRV boards (LP: #1978923)

 -- Alexandre Ghiti <alexandre.ghiti@canonical.com>  Wed, 15 Jun 2022 13:40:27 +0200
