## flash-kernel 3.104ubuntu13

=== debian/changelog ===
flash-kernel (3.104ubuntu13) jammy; urgency=medium

  * Backport change from 3.106ubuntu5
    - Add Mediatek AIoT i1200 board support (LP: #1986517)

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Mon, 15 Aug 2022 11:00:07 +0800

flash-kernel (3.104ubuntu12) jammy; urgency=medium

  [ Ethan Hsieh ]

  * Add ZCU111 support (LP: #1978798)
  * bootscr.zynqmp (LP: #1978798)
    - Improve messaging in U-Boot boot script for board detection
    - Add kria and zcu board support lists
    - Update kR260 and KV260's bootargs as per AMD-Xilinx's request

  [ Alexandre Ghiti ]

  * Allow to bypass container exit test by introducing FK_FORCE_CONTAINER
    for RISC-V images build to run flash-kernel in a container (LP: #1980929)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 14 Jul 2022 13:49:46 +0100
