## flash-kernel 3.104ubuntu17xlnx1

=== debian/changelog ===
flash-kernel (3.104ubuntu17xlnx1) jammy; urgency=medium

  * Add support for Xilinx Kria KD240 (LP: #2037407)

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Tue, 26 Sep 2023 12:18:48 +0200

flash-kernel (3.104ubuntu17) jammy; urgency=medium

  * Ensure that only kernels in fully "installed" state are considered for
    flashing (LP: #2007827)
  * d/control: Remove redundant awk dependency to appease lintian
  * d/control: Bump the standards version

 -- Dave Jones <dave.jones@canonical.com>  Tue, 06 Jun 2023 11:01:47 +0100

flash-kernel (3.104ubuntu16) jammy; urgency=medium

  * Add support for Xilinx Versal VCK190 (LP: #2006558)

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Thu, 19 Jan 2023 15:48:53 +0800

flash-kernel (3.104ubuntu15) jammy; urgency=medium

  * Add Sipeed Lichee RV Dock and Microchip PolarFire-SoC Icicle Kit
    (LP: #1997371)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Tue, 22 Nov 2022 13:46:24 +0100

flash-kernel (3.104ubuntu14) jammy; urgency=medium

  * Change FK_FORCE_CONTAINER to FK_FORCE and cleanly exit if running
    in a chroot environment (LP: #1955353)

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Fri, 07 Oct 2022 09:14:11 -0500
