## flash-kernel 3.104ubuntu17xlnx2

=== debian/changelog ===
flash-kernel (3.104ubuntu17xlnx2) jammy; urgency=medium

  * Add support for Xilinx Kria KD240 (LP: #2037407)
    - Fix minor issues in bootscr.zynqmp

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Tue, 26 Sep 2023 12:18:48 +0200
