## flash-kernel 3.104ubuntu18

=== debian/changelog ===
flash-kernel (3.104ubuntu18) jammy; urgency=medium

  * Add support for Xilinx Kria KD240 (LP: #2037407)
    - Fix minor issues in bootscr.zynqmp

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Mon, 15 Jan 2024 10:44:12 +0000
