## flash-kernel 3.104ubuntu19xlnx1

=== debian/changelog ===
flash-kernel (3.104ubuntu19xlnx1) jammy; urgency=medium

  * Update Xilinx board support
    - Remove support claim for Xilinx ZCU111
    - Add new machine entries for KV260 and KR260 due to model string changes

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Fri, 09 Feb 2024 09:05:40 +0100

flash-kernel (3.104ubuntu19) jammy; urgency=medium

  * Use "any" kernel flavor for allwinner-based RISC-V boards, as the new
    kernel is a "-generic" flavor (LP: #2054304)

 -- Dave Jones <dave.jones@canonical.com>  Mon, 19 Feb 2024 11:02:55 +0000
