## flash-kernel 3.104ubuntu21

=== debian/changelog ===
flash-kernel (3.104ubuntu21) jammy; urgency=medium

  * Use generic-revision catch-alls for each model rather than relying on a
    single Pi catch-all to avoid a confusing selection of "the one DTB" for a
    given board (even though all other DTBs will still be copied anyway)
    (LP: #2038087)
    - Add missing Pi Zero 2W entry
  * Add dtb-probe script to handle missing bcm2710-rpi-zero-2-w.dtb in some of
    the 5.15 series kernels (LP: #2078525)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 10 Sep 2024 16:32:47 +0100

flash-kernel (3.104ubuntu20) jammy; urgency=medium

  [ Talha Can Havadar ]
  * Update Xilinx board support (LP: #2054556)
    - Remove support claim for Xilinx ZCU111
    - Add new machine entries for KV260 and KR260 due to model string changes
    - Create separate bootscript for AMD-Xilinx Kria board family

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Thu, 29 Feb 2024 15:32:06 +0000
