## flash-kernel 3.104ubuntu22

=== debian/changelog ===
flash-kernel (3.104ubuntu22) jammy; urgency=medium

  * Add FK_FORCE_EFI environment variable to skip EFI check (LP: #2011536)
    - cherry pick from commit b58a33cc and 373a0a46

 -- Aristo Chen <aristo.chen@canonical.com>  Tue, 01 Oct 2024 06:27:04 +0000
