## flash-kernel 3.106ubuntu8

=== debian/changelog ===
flash-kernel (3.106ubuntu8) kinetic; urgency=medium

  * Fix remaining reference to FK_FORCE_CONTAINER (LP: #1955353)

 -- Dave Jones <dave.jones@canonical.com>  Mon, 17 Oct 2022 13:46:14 +0100

flash-kernel (3.106ubuntu7) kinetic; urgency=medium

  * Change FK_FORCE_CONTAINER to FK_FORCE and cleanly exit if running
    in a chroot environment (LP: #1955353)

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Thu, 08 Sep 2022 09:16:55 -0500

flash-kernel (3.106ubuntu6) kinetic; urgency=medium

  * Add support for the LicheeRV Dock (LP: #1987735)
  * Fix Microchip Icicle Kit DTB name (LP: #1988169)

 -- Alexandre Ghiti <alexandre.ghiti@canonical.com>  Tue, 30 Aug 2022 15:07:30 +0200

flash-kernel (3.106ubuntu5) kinetic; urgency=medium

  * Add Mediatek AIoT i1200 board support

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Mon, 15 Aug 2022 10:51:16 +0800

flash-kernel (3.106ubuntu4) kinetic; urgency=medium

  * Unconditionally map 'armmp' in the Kernel-Flavors field to 'generic',
    which is what this flavor is called in Ubuntu.  This allows us to support
    a much greater number of boards without having to carry an extensive
    delta against the all.db data file.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 01 Aug 2022 15:13:38 +0000

flash-kernel (3.106ubuntu3) kinetic; urgency=medium

  [ Ethan Hsieh ]

  * Add ZCU111 support (LP: #1978798)
  * bootscr.zynqmp (LP: #1978798)
    - Improve messaging in U-Boot boot script for board detection
    - Add kria and zcu board support lists
    - Update kR260 and KV260's bootargs as per AMD-Xilinx's request
    - Support legacy KV260 U-Boot

  [ Alexandre Ghiti ]

  * Allow to bypass container exit test by introducing FK_FORCE_CONTAINER
    for RISC-V images build to run flash-kernel in a container (LP: #1980929)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 14 Jul 2022 13:19:57 +0100

flash-kernel (3.106ubuntu2) kinetic; urgency=medium

  * db/all.db: add dummy entry for RISC-V under QEMU (LP: #1980519)

 -- Dave Jones <dave.jones@canonical.com>  Wed, 06 Jul 2022 11:25:53 +0100

flash-kernel (3.106ubuntu1) kinetic; urgency=medium

  [ Dave Jones ]

  * Merge from Debian unstable (LP: #1973801). Remaining changes:
    - Add support for QCT APQ8064 CDP
      - Add support for QCT APQ8064 CDP; thanks Alfonso Sanchez-Beato.
    - Add support for Calxeda Highbank
      - Add support for Calxeda Highbank (with bootscr.highbank different from
        Debian's version)
      - bootscr.highbank: allow more space to load larger kernels
    - Add support for Nexus 4 (Mako)
      - Enabling support for mako (Nexus 4)
    - Add support for Marvell ArmadaXP
      - Re-add support for Marvell ArmadaXP
      - Fix armadaxp kernel load address
    - Add support for Samsung Exynos 5440 platforms
      - Add support for EXYNOS5440-based platforms
    - Add generic-lpae to the XB-Subarchitecture list in debian/control
    - debian/flash-kernel-installer.isinstallable: add arm*/generic-lpae
    - Add support for HP ProLiant m400 cartridges
      - Add support for HP ProLiant m400 Server Cartridges
      - HP Moonshot Cartridges: Use $baudrate from u-boot environment as
        serial console speed
      - HP Moonshot Cartridges: Enable hardware flow control as required by
        the HP moonshot chassis
      - Enable U-Boot environment support for X-Gene platforms
      - Use filesystem agnostic "load" command instead of assuming ext4
      - Add a bootscript specific to X-Gene Mustang boards since they need to
        pull their dtb from the OS.
    - Add support for OMAP3 and OMAP4 boards
      - add DB entry for "OMAP3 Beagle Board" (funnily thats missing)
      - add Panda to the list of supported board in the README file
      - debian/control: Re-add omap and omap4 to the flash-kernel-installer
        XB-Subarchitecture field. These appear to have been lost somewhere
        along the way.
      - Also add omap and omap4 to flash-kernel-installer.isinstallable.
      - switch omap3 and omap4 to uEnv.txt/preEnv.txt (the former holds all
        active boot commands, the latter holds the kernel commandline only)
      - switch omap3 and omap4 from Bootloader-sets-root: no to yes, we now
        generate a root=UUID= line on the fly for arches using
        uEnv.txt/preEnv.txt
      - introduce bootscript/uEnvtxt.omap
      - do not move the original uEnvtxt.omap to the target, use a copy
        instead
      - add "quiet splash" as default options to omap bootscr
    - enable UUID detection of the currently used root device
    - if uEnv.txt is defined in the db for an arch, generate preEnv.txt from
      UBOOT_DEFAULTS and UUID detection data
    - make sure blkid only gives us the UUID and not any other metadata like
      labels or filesystem
    - hide the boot device from udisk's automounting after installation on all
      systems using uEnv.txt to configure u-boot
    - make sure we only rename the bootrom partition so udisks hides it, when
      using mkdosfs for setting the label like we did in jasper (where we
      cached the contents before doing this) MLO and u-boot.bin are gone
    - Add support for grouper boards
      - add support for the grouper architecture
    - db/all.db: add dummy entries as noops when running on VMs
    - Add support for Wandboard Quad
      - Wandboard: Use /dev/disk/by-path/platform-2198000.usdhc-part1 instead
        of the hardcoded mmcblk1p1, this should make things work on boards
        with just a single microSD card in.
      - Add basic support for WandBoard Quad.
    - Add support for AAarch64 Qualcomm laptops.
      - Fix AARCH64 qcom laptop names, to those accepted upstream and in the
        Ubuntu kernel.
    - Add support for Raspberry Pi 2, 3, 3+, CM3, CM3+, and 4 using a unified
      bootscript (replaces upstream's entries)
      - Update pi bootscript to support all flash-kernel vars, including
        calculated devtype and partition for future USB boot support

