## flash-kernel 3.106ubuntu8.1

=== debian/changelog ===
flash-kernel (3.106ubuntu8.1) kinetic; urgency=medium

  * Backport a patch from lunar to kinetic (LP: #2006558)
    - Add support for Xilinx Versal VCK190

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Wed, 15 Feb 2023 11:37:23 +0800
