=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Vagrant Cascadian <vagrant@debian.org>,
            Karsten Merker <merker@debian.org>
 Build-Depends: debhelper-compat (= 13), devio, linux-base (>= 3.2), dash
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/installer-team/flash-kernel
 Vcs-Git: https://salsa.debian.org/installer-team/flash-kernel.git
 Rules-Requires-Root: no
@@ -20,6 +20,7 @@
          linux-base (>= 3.2),
          mtd-utils,
          ucf,
+         awk
 Recommends: u-boot-tools
 Description: utility to make certain embedded devices bootable
  flash-kernel is a script which will put the kernel and initramfs in
@@ -32,6 +33,7 @@
 Section: debian-installer
 Priority: standard
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Architecture: arm64 armel armhf riscv64
 XB-Subarchitecture: armadaxp exynos5 generic-lpae kirkwood orion5x s3c24xx mx5 omap omap4 xgene generic
 Provides: bootable-system
