## flash-kernel 3.106ubuntu14

=== debian/changelog ===
flash-kernel (3.106ubuntu14) lunar; urgency=medium

  * Handle "not fully installed" kernels differently by quitting instead of
    re-triggering to avoid a dpkg trigger cycle (LP: #2011925)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 23 Mar 2023 14:12:19 +0000

flash-kernel (3.106ubuntu13) lunar; urgency=medium

  * Ensure that only kernels in fully "installed" state are considered for
    flashing (LP: #2007827)
  * test_functions: Add tests for include_only_flavors
  * d/control: Remove redundant awk dependency to appease lintian
  * Bump standards version

 -- Dave Jones <dave.jones@canonical.com>  Mon, 27 Feb 2023 11:53:49 +0000

flash-kernel (3.106ubuntu12) lunar; urgency=medium

  * Add StarFive VisionFive 2 board to db/all.db (LP: #2007981)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Tue, 21 Feb 2023 14:52:26 +0100

flash-kernel (3.106ubuntu11) lunar; urgency=medium

  * Add support for Xilinx Versal VCK190 (LP: #2006558)

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Wed, 08 Feb 2023 15:49:46 +0800

flash-kernel (3.106ubuntu10) lunar; urgency=medium

  * Add support for the NXP S32G274A-RDB2 (LP: #2004495)
    - Add entry in db/all.db using the generic U-Boot method, the kernel
      provided s33g274a-rdb2 device tree to generate a FIT image under
      boot/firmware/fitImage.
    - Add its/arm64/image-nxp-s32.its FIT image template applicable for all
      S32x boards.

 -- Isaac True <isaac.true@canonical.com>  Wed, 01 Feb 2023 15:30:35 +0000

flash-kernel (3.106ubuntu9) lunar; urgency=medium

  * Add database entry for Lenovo X13s (LP: #2002092)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 06 Jan 2023 13:27:16 +0100
